## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate owo-colors

Name:           rust-owo-colors
Version:        3.5.0
Release:        %autorelease
Summary:        Zero-allocation terminal colors that'll make people go owo

License:        MIT
URL:            https://crates.io/crates/owo-colors
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove unused "supports-colors" feature with outdated dependencies
Patch:          owo-colors-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Zero-allocation terminal colors that'll make people go owo.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# drop examples that depend on the removed "supports-colors" feature
rm examples/{override.rs,supports_color.rs}

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Apr 01 2023 Fabio Valentini <decathorpe@gmail.com> - 3.5.0-2
- Remove unused "supports-colors" feature with outdated dependencies

* Thu Feb 16 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.5.0-1
- Update to 3.5.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Apr 04 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.3.0-1
- Initial Fedora package
